# -*- coding: utf-8 -*-
from __future__ import unicode_literals

from django.db import models, migrations
import bbcode.models
import pages.models


class Migration(migrations.Migration):

    replaces = [
        ("pages", "0001_initial"),
        ("pages", "0002_nouveau_bbcode"),
        ("pages", "0003_jetoneditionpage"),
    ]

    dependencies = [
        ("attachments", "0001_initial"),
        ("portailuser", "0001_initial"),
        ("portailuser", "0003_remove_portailuser_jabber_mdp_temp"),
    ]

    operations = [
        migrations.CreateModel(
            name="PageWeb",
            fields=[
                (
                    "id",
                    models.AutoField(
                        verbose_name="ID",
                        serialize=False,
                        auto_created=True,
                        primary_key=True,
                    ),
                ),
                ("titre", models.CharField(max_length=32, verbose_name="Titre")),
                (
                    "adresse",
                    models.CharField(
                        help_text="Relative \xc3\xa0 la racine du site. Attention aux conflits avec les pages dynamiques\xe2\x80\xa6",
                        max_length=64,
                        verbose_name="Adresse de la page",
                    ),
                ),
                ("contenu", bbcode.models.BBCodeField(pack="web_page_attach")),
                (
                    "ecole",
                    models.ForeignKey(
                        editable=False, to="portailuser.Ecole", on_delete=models.CASCADE
                    ),
                ),
            ],
            options={},
            bases=(models.Model,),
        ),
        migrations.AlterUniqueTogether(
            name="pageweb", unique_together={("ecole", "adresse")},
        ),
        migrations.CreateModel(
            name="JetonEditionPage",
            fields=[
                (
                    "page",
                    models.OneToOneField(
                        primary_key=True,
                        serialize=False,
                        to="pages.PageWeb",
                        on_delete=models.CASCADE,
                    ),
                ),
                (
                    "fin_jeton",
                    models.DateTimeField(default=pages.models.date_limite_edition),
                ),
                (
                    "editeur",
                    models.ForeignKey(
                        to="portailuser.PortailUser", on_delete=models.CASCADE
                    ),
                ),
            ],
            options={},
            bases=(models.Model,),
        ),
    ]
